/* This file is part of Eclat.
   Copyright (C) 2012-2014 Sergey Poznyakoff.
 
   Eclat is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3, or (at your option)
   any later version.
 
   Eclat is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
 
   You should have received a copy of the GNU General Public License
   along with Eclat.  If not, see <http://www.gnu.org/licenses/>. */

#include "eclat.h"

int
eclat_get_console_output(eclat_command_env_t *env, int argc, char **argv)
{
	int i;

	generic_proginfo->args_doc = "ID";
	generic_parse_options(env->cmd,
			      "retrieve console output for the specified "
			      "instance",
			      argc, argv, &i);
	argv += i;
	argc -= i;

	if (i == 0)
		die(EX_USAGE, "not enough arguments");
	else if (i > 1)
		die(EX_USAGE, "only one argument is allowed");
	translate_ids(argc, argv, MAP_INSTANCE);
	
	describe_query_create(env, argc, argv, "InstanceId");
	return 0;
}
